<?php
    //get the simplepie library
    require_once('simplepie.inc');
    //grab the feeds
    $feed = new SimplePie();
    $feed->set_feed_url(array(
    	'http://feeds2.feedburner.com/SpoonGraphics',
    	'http://rss.stumbleupon.com/user/spoonex/favorites',
		'http://twitter.com/statuses/user_timeline/14544190.rss',
		'http://feeds.delicious.com/v2/rss/spoon_graphics',
		'http://digg.com/users/spoongraphics/history.rss',
		'http://api.flickr.com/services/feeds/photos_public.gne?id=10201900@N03&lang=en-us&format=rss_200',
		'http://ws.audioscrobbler.com/1.0/user/spoongraphics/recenttracks.rss',
    ));
    //enable caching
    $feed->enable_cache(true);
    //provide the caching folder
    $feed->set_cache_location('cache');
    //set the amount of seconds you want to cache the feed
    $feed->set_cache_duration(1800);
    //init the process
    $feed->init();
    //let simplepie handle the content type (atom, RSS...)
    $feed->handle_content_type();
	//set number of items to be displayed
	$total_articles = 15;
	for ($x = 0; $x < $feed->get_item_quantity($total_articles); $x++)
	{
		$lifestream_items[] = $feed->get_item($x);
	}
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Chris Spooner - Personal Lifestream</title>

<link href="styles.css" rel="stylesheet" type="text/css" media="screen" />

<meta name="description" content="The personal lifestream of Chris Spooner, displaying live updates of Chris' online life." />
</head>

<body>
<div id="page-wrap">
	<div id="container">
		<h1>Chris Spooner</h1>
        
        <ul class="lifestream">
        
        <?php foreach ($lifestream_items as $item): ?>
			<li>
            	<div class="entry-date">
                	<p class="date"><?php echo $item->get_date('j M Y'); ?></p>
                    <p class="time"><?php echo $item->get_date('g:i a'); ?></p>
                </div><!--Entry Date-->
                
                <h2 class="entry-content"><a href="<?php echo $item->get_permalink(); ?>"><?php echo $item->get_title(); ?></a></h2>
                
                <img src="<?php $feed = $item->get_feed(); echo $feed->get_favicon(); ?>" class="favicon" alt="" />

                <div class="entry-source">
                	<p><a href="<?php $feed = $item->get_feed(); echo $feed->get_permalink(); ?>"><?php $feed = $item->get_feed(); echo $feed->get_title(); ?></a></p>
                </div><!--Entry Source-->
            </li>
		<?php endforeach; ?>

		</ul>
	</div><!--Container-->
</div><!--Page Wrap-->
</body>
</html>